Test Runs
Token-based authentication with required prefix "Token"
Sort list by param
A page number within the paginated result set.
Number of results to return per page.
error- Errorpassed- Passedfailed- Failedrunning- Runningauto_retrying- Auto Retryingstopped- Stoppedqueued- Queuedpaused- Pausedskipped- Skippedrecording- Recordinginitialized- Initialized
Filter by test id.
123http://api.example.org/accounts/?page=4http://api.example.org/accounts/?page=2Authentication credentials were missing or invalid.
GET /api/v2/testruns/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
{
"count": 123,
"next": "http://api.example.org/accounts/?page=4",
"previous": "http://api.example.org/accounts/?page=2",
"results": [
{
"browserName": null,
"browserVersion": null,
"browserHeight": null,
"browserWidth": null,
"stepsRuns": "text",
"userId": null,
"duration": null,
"ended": null,
"errorCode": null,
"extensionVersion": null,
"id": "123e4567-e89b-12d3-a456-426614174000",
"name": "text",
"osName": null,
"queued": null,
"runMode": "server",
"runProfileId": null,
"screenSizeType": "desktop",
"sequence": null,
"started": null,
"status": "error",
"suiteRunId": null,
"testId": null,
"triggeredBy": "user",
"webappUrl": "text"
}
]
}Token-based authentication with required prefix "Token"
error- Errorpassed- Passedfailed- Failedrunning- Runningauto_retrying- Auto Retryingstopped- Stoppedqueued- Queuedpaused- Pausedskipped- Skippedrecording- Recordinginitialized- Initialized
Request body failed validation.
Authentication credentials were missing or invalid.
POST /api/v2/testruns/ HTTP/1.1
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 111
{
"testId": "123e4567-e89b-12d3-a456-426614174000",
"runProfileId": null,
"variables": [
{
"key": "text",
"value": null
}
]
}{
"id": "123e4567-e89b-12d3-a456-426614174000",
"finishedSteps": 1,
"modified": "2026-01-01T00:00:00.000Z",
"status": "error",
"totalSteps": 1,
"webappUrl": "text"
}Token-based authentication with required prefix "Token"
A UUID string identifying this test run.
server- cloudlocal- localrecording- recording
desktop- Desktopmobile- Mobilecustom- Custom
error- Errorpassed- Passedfailed- Failedrunning- Runningauto_retrying- Auto Retryingstopped- Stoppedqueued- Queuedpaused- Pausedskipped- Skippedrecording- Recordinginitialized- Initialized
user- Userapi- Apiwebhook- Webhookscheduler- Schedulergithub- Githubcli- Cliagent- Agent
Authentication credentials were missing or invalid.
Resource not found.
GET /api/v2/testruns/{id}/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
{
"browserName": null,
"browserVersion": null,
"browserHeight": null,
"browserWidth": null,
"stepsRuns": "text",
"userId": null,
"duration": null,
"ended": null,
"errorCode": null,
"extensionVersion": null,
"id": "123e4567-e89b-12d3-a456-426614174000",
"name": "text",
"osName": null,
"queued": null,
"runMode": "server",
"runProfileId": null,
"screenSizeType": "desktop",
"sequence": null,
"started": null,
"status": "error",
"suiteRunId": null,
"testId": null,
"triggeredBy": "user",
"webappUrl": "text"
}Token-based authentication with required prefix "Token"
A UUID string identifying this test run.
logs_partial- Logs Partiallogs- Logscloud_logs- Cloud Logscontainer_stats- Container Statschrome_debug_logs- Chrome Debug Logsdom_snapshot- Dom Snapshotnetwork_logs- Network Logs
None for eternal
Authentication credentials were missing or invalid.
Resource not found.
GET /api/v2/testruns/{id}/debug-artifacts/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
[
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"kind": "logs_partial",
"file": "text",
"expirationTime": null
}
]Token-based authentication with required prefix "Token"
Debug artifact type.
A UUID string identifying this test run.
logs_partial- Logs Partiallogs- Logscloud_logs- Cloud Logscontainer_stats- Container Statschrome_debug_logs- Chrome Debug Logsdom_snapshot- Dom Snapshotnetwork_logs- Network Logs
None for eternal
Authentication credentials were missing or invalid.
Artifact not found
GET /api/v2/testruns/{id}/debug-artifacts/{artifact_type}/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"kind": "logs_partial",
"file": "text",
"expirationTime": null
}Token-based authentication with required prefix "Token"
A UUID string identifying this test run.
Redirect to logs file
No content
Authentication credentials were missing or invalid.
Logs not found or expired
GET /api/v2/testruns/{id}/logs/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
No content
Token-based authentication with required prefix "Token"
A UUID string identifying this test run.
JUnit XML report file
Authentication credentials were missing or invalid.
Resource not found.
GET /api/v2/testruns/{id}/report/junit/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
binaryToken-based authentication with required prefix "Token"
A UUID string identifying this test run.
Authentication credentials were missing or invalid.
Resource not found.
GET /api/v2/testruns/{id}/screenshots/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"stepsRuns": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"stepId": null,
"screenshotUrl": "text"
}
]
}Token-based authentication with required prefix "Token"
A UUID string identifying this test run.
error- Errorpassed- Passedfailed- Failedrunning- Runningauto_retrying- Auto Retryingstopped- Stoppedqueued- Queuedpaused- Pausedskipped- Skippedrecording- Recordinginitialized- Initialized
Authentication credentials were missing or invalid.
Resource not found.
GET /api/v2/testruns/{id}/status/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"finishedSteps": 1,
"modified": "2026-01-01T00:00:00.000Z",
"status": "error",
"totalSteps": 1,
"webappUrl": "text"
}Token-based authentication with required prefix "Token"
A UUID string identifying this test run.
error- Errorpassed- Passedfailed- Failedrunning- Runningauto_retrying- Auto Retryingstopped- Stoppedqueued- Queuedpaused- Pausedskipped- Skippedrecording- Recordinginitialized- Initialized
Request body failed validation.
Authentication credentials were missing or invalid.
Resource not found.
POST /api/v2/testruns/{id}/stop/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"finishedSteps": 1,
"modified": "2026-01-01T00:00:00.000Z",
"status": "error",
"totalSteps": 1,
"webappUrl": "text"
}Last updated
Was this helpful?
